program T10Demo3;
{$I Sets.inc}
uses
  Menu3,                    { Uzivatelske menu                          }
  Kernel,                   { Operacni system ReTOS                     }
  uInit,                    { Inicializace                              }
  uExit;                    { Ukonceni                                  }

begin
  PrgInit;                  { Inicialzace                               }
  UserMenu;                 { Spusteni uzivatelskeho menu               }
  SetPriority(1,254);       { Nastaveni priority v o.s.RETOS            }

  repeat                    { Smycka hlavniho procesu                   }

  if SledRealVel>120        { simuluje zmeny sledovanych velicin        }
    then SledRealVel:=-120
    else SledRealVel:=SledRealVel+11.24;

  if SledIntVel>93
    then SledIntVel:=1
    else SledIntVel:=SledIntVel+3;

    Wait(4);                { a ceka                                    }
  until FlgEnd;             { na nastaveni priznaku ukonceni programu   }

  PrgExit;                  { Ukonceni programu a HW                    }
end.
